"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  __name: "xy-svg",
  props: {
    url: {
      type: String,
      require: true
    },
    width: {
      type: String,
      default: "30"
    },
    height: {
      type: String,
      default: "30"
    },
    color: {
      type: String,
      default: "skyblue"
    }
  },
  setup(__props) {
    const props = __props;
    let style = common_vendor.computed(() => {
      return {
        width: `${props.width}rpx`,
        height: `${props.height}rpx`,
        transform: `translateX(${props.width}rpx)`,
        filter: `drop-shadow(${props.color} -${props.width}rpx 0px 0px)`
      };
    });
    return (_ctx, _cache) => {
      return {
        a: __props.url,
        b: common_vendor.s(common_vendor.unref(style)),
        c: __props.width + "rpx",
        d: __props.height + "rpx"
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-bd0a7296"], ["__file", "F:/兴元/开门柜项目/平台端管理系统小程序/src/components/xy-svg/xy-svg.vue"]]);
wx.createComponent(Component);
